Bug 85607 - Using the extra mouse buttons on a Logitech MX500 causes Kernel Panic
Using the extra mouse buttons on a Logitech MX500 causes Kernel Panic
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gpm (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-04 18:00 EST by Erik Reuter
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 17:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Reuter 2003-03-04 18:00:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
I'm pretty sure the problem has arisen resently. Today I started linux normally,
when about my daily cehckups on the internet and while reading an article I
pressed one of the extra buttons just above and below the mouse wheel on my
Logitech MX500 USB mouse (has 8 buttons in total). X froze and all the leds on
the keyboard blinked.

After a reboot, I tried clicking one of the scroll-buttons again before logging
in, this caused a Kernel Panic with the message "Killing interrupt controller".

I've been catching up on RHN alot, so I'm running the latest'n gratest. One of
these updates might have caused the problem, as I said I've never noticed it
before (I'm sure I've pressed those buttons before without any problems).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot
2. Without logging in, press one of the "scroll buttons" just above or below the
wheel on the mouse.

    

Actual Results:  Kernel Panic

Expected Results:  Nothing in console, in X it used to scroll up/down in the
browser and other windows.

Additional info:

I have no idea hov to log that Kernel Panic message, so if you could assist me
in that I could give you this additional information.
Comment 1 Erik Reuter 2003-03-04 18:14:03 EST
Update:

I found my USB to PS/2 converter for the mouse and plugged it into the PS/2 port
instead and switched from the Mouseman Wheel (USB) driver to the Mouseman+/First
mouse+ (PS/2) driver. The problem went away - I can use the additional
scroll-buttons without RedHat panicing.
Comment 2 Eido Inoue 2003-07-28 17:11:59 EDT
thanks for the report. i wasn't able to reproduce your problem with any of our
supported kernels.

fwiw, gpm is userspace. no userspace app should ever be able to cause a kernel
panic. if it happens again, file a bug against the kernel, not gpm.

Note You need to log in before you can comment on or make changes to this bug.